<div class="mlQuestionText">
<p>
  U nastavku je dana K-tablica.
  Potrebno je klikom na ćeliju označiti onu koja odgovara implikantu 2.
  <br/>
  Označena ćelija bit će popunjena plavom bojom, a kada ste sigurni u svoj izbor, pritisnite gumb za nastavak.
</p>

<script>
@#page-include#(util.js)
@#page-include#(cellStateDrawer.js)
@#page-include#(cell.js)
@#page-include#(color.js)
@#page-include#(group.js)
@#page-include#(kmap.js)
</script>

<div style="text-align: center;">
<canvas id="kmapCanvas"  width="500" height="300" style="border: solid 1px black"></canvas><br>
<span class="mlSimAuthor">Autori simulacije: Arijana Brlek, Nino Uzelac</span>
</div>

<script>
  var canvas = document.getElementById("kmapCanvas");
  var context = canvas.getContext("2d");

  var konfiguracija = @#raw-text#(jsinitdata);
  var state = {
    leftVariables: konfiguracija.leftVariables,
    upperVariables: konfiguracija.upperVariables,
    elements: konfiguracija.elems,
    userInput: konfiguracija.userInput,
    showOrder: false,
    isGroupEditable: true,
  };

  var map = new KMap(state, context);
  map.selectedImplicants = state.userInput;
  map.draw(canvas, context);

  canvas.addEventListener('mousedown', function(evt) {
    var rect = canvas.getBoundingClientRect();
    var pos = new Point(evt.clientX - rect.left, evt.clientY - rect.top);

    for(var i = 0; i < map.positions.length; i++) {
      for(var j = 0; j < map.positions[i].length; ++j) {
        var p = map.positions[i][j];
        if(pos.x >= p.x && pos.x < p.x + p.size && pos.y >= p.y && pos.y < p.y + p.size) {
            map.cellClick(p);
            map.reset(canvas, context);
            map.draw(canvas, context);
            state.userInput = p.index;
            break;
        }
      }
    }
  }, false);

function questionCollectUserData() {
  return { userInput: [ state.userInput ] };
}
</script>

</div>
